## exiv2 0.24

=== debian/changelog ===
exiv2 (0.24-4.1+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-17402: Corrupted or specially crafted CRW images might
    exceed the overall buffersize.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Dec 2019 22:07:45 +0100

exiv2 (0.24-4.1+deb8u4) jessie-security; urgency=high

  * CVE-2019-13504: Prevent an integer overflow vulnerability that could
    result in a denial of service via a specially-crafted file.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Jul 2019 16:36:58 -0300

exiv2 (0.24-4.1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-17581
    A stack overflow due to a recursive function call causing excessive
    stack consumption which leads to Denial of service.
  * CVE-2018-19107
    A heap based buffer over-read caused by an integer overflow could
    result in a denial of service via a crafted file.
  * CVE-2018-19108
    There seems to be an infinite loop inside a function that can be
    activated by a crafted image.
  * CVE-2018-19535
    A heap based buffer over-read caused could result in a denial of
    service via a crafted file.
  * CVE-2018-20097
    A crafted image could result in a denial of service.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Feb 2019 19:03:02 +0100

exiv2 (0.24-4.1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Minor adjustment to the patch for CVE-2018-10958 and CVE-2018-10999.  The
    initial patch was overly restrictive in counting PNG image chunks.
  * CVE-2018-16336: remote denial of service (heap-based buffer over-read) via
    a crafted image file.

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 20 Oct 2018 22:48:53 -0400

exiv2 (0.24-4.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2018-10958: denial of service through memory exhaustion and
    application crash by a crafted PNG image.
  * CVE-2018-10999: a heap-based buffer over-read via a crafted PNG image.
  * CVE-2018-10998: denial of service through memory exhaustion and
    application crash by a crafted image.
  * CVE-2018-11531: a heap-based buffer overflow and application crash by a
    crafted image.
  * CVE-2018-12264: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901707)
  * CVE-2018-12265: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901706)

 -- Roberto C. Sanchez <roberto@debian.org>  Wed, 27 Jun 2018 08:09:34 -0400

exiv2 (0.24-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2014-9449.patch patch.
    CVE-2014-9449: buffer overflow in RiffVideo::infoTagsHandler
    Thanks to Klaus Ethgen <Klaus@Ethgen.de> (Closes: #773846)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 07 Jan 2015 20:25:48 +0100

exiv2 (0.24-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #732957)
  * Re-add the pkg-config dependency in libexiv2-dev, as there is still one
    source relying on it.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Sep 2014 23:22:40 +0200

exiv2 (0.24-3) experimental; urgency=medium

  * Team upload.
  * Integrate 0.23-1.1 NMU (thanks Wookey).
  * Move the libjs-jquery, doxygen, graphviz build dependencies as
    Build-Depend-Indep, as they are needed in indep-build only.
  * Update libtool files for ppc64el. (Closes: #757412)

 -- Pino Toscano <pino@debian.org>  Thu, 28 Aug 2014 23:00:16 +0200

exiv2 (0.24-2) experimental; urgency=low

  * Team upload.
  * Update Vcs-* headers.
  * Fix the replacement of the doxygen-generated jquery.js with a symlink to
    the system copy:
    - properly replace any version with a symlink
    - remove usage of dh-linktree: drop libexiv2-doc.linktrees and the
      dh-linktree build dependency
    - make libexiv2-doc depend on libjs-jquery
  * Improve the .install files:
    - use exiv2.install to install the exiv2.1 man page
    - make them a bit more explicit
    - remove the "debian/tmp/" prefix from the installed files
    - sort them
  * Remove the libtool .la file instead of installing it; dependencies have to
    be rebuilt for the SONAME bump anyway, so there is no risk for breakages.
  * Remove the doxygen-generated *.map and *.md5 files from the -doc package.
  * Add a lintian override in libexiv2-doc for the duplicated files
    (image graphs, basically) generated by doxygen.
  * Bump to the debhelper compatibility 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9~
    - stop manually specifying the build flags, they are handled automatically
    - adjust the library paths in .install files and rules to the multiarch
      paths
    - add Pre-Depends: ${misc:Pre-Depends} in libexiv2-13
  * Mark libexiv2-13 and libexiv2-dbg as Multi-Arch: same.
  * Tighten the exiv2 dependency on the same version of the libexiv2 library.
  * Remove the extra "samples" subdirectory for the examples in libexiv2-dev.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Do not compress .cpp files (found in examples).
  * libexiv2-dev: stop depending on pkg-config, as this is no more needed now.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2014 22:39:03 +0100

exiv2 (0.24-1) experimental; urgency=low

  * New upstream release
    - support for Video metadata
    - more cameras and accessories now recognised
    - Numerous bugs fixes, build and test improvments
  * NEW package libexiv2-13 - match soname
  * Fix "libexiv2-doc documentation package seems to be lacking in
    content" include patch from ~dancer (Closes: #687278)
  * Update "config.{guess,sub}" --with autotools_dev (Closes: #727295, #548926)
  * Drop 00_hyphens_used_as_minus.diff - included upstream
  * Add specific +override_dh_auto_build-indep: target for doxygen build

 -- Mark Purcell <msp@debian.org>  Sun, 15 Dec 2013 11:12:34 +1100

exiv2 (0.23-1.1) unreleased; urgency=low

  * Non-maintainer upload.


=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9~), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 python, xsltproc
Build-Depends-Indep:
 libjs-jquery, doxygen, graphviz,
Standards-Version: 3.9.5
Homepage: http://www.exiv2.org
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/exiv2/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/exiv2/trunk

Package: exiv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libexiv2-13 (= ${binary:Version})
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 command line utility to:
 .
  * print Exif, IPTC and XMP image metadata in different formats: 
    - Exif summary info, interpreted values, or the plain data for each tag
  * set, add and delete Exif, IPTC and XMP image metadata from command line
    modify commands or command scripts
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif, IPTC and XMP metadata and JPEG comments
  * extract previews from RAW images and thumbnails from the Exif metadata
  * insert and delete the thumbnail image embedded in the Exif metadata
  * print, set and delete the JPEG comment of JPEG images
  * fix the Exif ISO setting of picture taken with Canon and Nikon cameras

Package: libexiv2-13
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: exiv2
Multi-Arch: same
Description: EXIF/IPTC metadata manipulation library
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 library provides:
  * fast read and write access to the Exif, IPTC, and XMP metadata of an image
  * an easy to use and extensively documented API
  * conversions of Exif and IPTC metadata to XMP and vice versa
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * Exif Makernote support:
    - Makernote tags can be read and written just like any other metadata
    - a sophisticated write algorithm avoids corrupting the Makernote
  * a simple interface to extract previews embedded in RAW images and Exif
    thumbnails
  * set and delete methods for Exif thumbnails

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexiv2-13 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the development files for using exiv2.

Package: libexiv2-doc
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Architecture: all
Description: EXIF/IPTC metadata manipulation library - HTML documentation
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the Exiv2 HTML documentation.

Package: libexiv2-dbg
Depends: ${misc:Depends}, libexiv2-13 (= ${binary:Version})
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Description: EXIF/IPTC metadata manipulation library - debug
 Exiv2 is a C++ library and a command line utility to manage image metadata. It
 provides fast and easy read and write access to the Exif, IPTC and XMP metadata
 of images in various formats
 .
 This package provides the Exiv2 debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_clean:
	dh_clean
	rm -rf doc/html
	-rm Makefile xmpsdk/src/.libs/libxmpsdk.la  # why? debuild complains of diff.

override_dh_strip:
	dh_strip -a --dbg-package=libexiv2-dbg

override_dh_install:
	# no need for libtool .la files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	dh_install --list-missing
	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d

override_dh_auto_build-indep:
	$(MAKE) -C doc doxygen

override_dh_installdocs:
	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog
	find $(CURDIR)/debian -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
	find $(CURDIR)/debian \( -name '*.map' -o -name '*.md5' \) -delete

override_dh_installchangelogs:
	dh_installchangelogs -A doc/ChangeLog

override_dh_compress:
	dh_compress -X.xls -X.js -X.idx -X.xml -X.php -X.cpp

## exiv2 0.25

=== CMakeLists.txt ===
# CMake build system for exiv2 library and executables
# Copyright 2012-     Robin Mills      <robin@clanmills.com>
# Copyright 2010-2012 Gilles Caulier   <caulier dot gilles at gmail dot com>
# Copyright 2008      Patrick Spendrin <ps_ml at gmx dot de>

# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

##
# Running cmake in a tree in which we have run ./configure ; make
# creates include/exiv2/exv_conf.h which conflicts with cmake's own exv_conf.h
# This causes incorrect compilation and linking errors.
#
# It's OK to delete this as it will be recreated on demand by <exiv2-dir>/Makefile
if( EXISTS "${CMAKE_SOURCE_DIR}/include/exiv2/exv_conf.h"  )
    file(REMOVE "${CMAKE_SOURCE_DIR}/include/exiv2/exv_conf.h")
endif()
##

CMAKE_MINIMUM_REQUIRED( VERSION 2.8.12 )
PROJECT( exiv2 )

if( POLICY CMP0042 )
    cmake_policy(SET CMP0042 NEW) # enable MACOSX_RPATH support
else()
    SET(CMAKE_MACOSX_RPATH 1)
endif()
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")


SET( PACKAGE_COPYRIGHT      "Andreas Huggel" )
SET( PACKAGE_BUGREPORT      "ahuggel@gmx.net" )
SET( PACKAGE                "exiv2" )
SET( PACKAGE_NAME           "exiv2" )
SET( PACKAGE_STRING         "exiv2 0.25" )
SET( PACKAGE_TARNAME        "exiv2" )
SET( PACKAGE_VERSION        "0.25" )
SET( PACKAGE_URL            "http://www.exiv2.org" )
SET( GENERIC_LIB_VERSION    "14.0.0" )
SET( GENERIC_LIB_SOVERSION  "14" )

# options and their default values
OPTION( EXIV2_ENABLE_SHARED        "Build exiv2 as a shared library (dll)"                 ON  )
OPTION( EXIV2_ENABLE_XMP           "Build with XMP metadata support"                       ON  )
OPTION( EXIV2_ENABLE_LIBXMP        "Build a static convenience Library for XMP"            ON  )
OPTION( EXIV2_ENABLE_VIDEO         "Build with video support"                              OFF )
OPTION( EXIV2_ENABLE_PNG           "Build with png support (requires libz)"                ON  )
OPTION( EXIV2_ENABLE_NLS           "Build native language support (requires gettext)"      ON  )
OPTION( EXIV2_ENABLE_PRINTUCS2     "Build with Printucs2"                                  ON  )
OPTION( EXIV2_ENABLE_LENSDATA      "Build including lens data"                             ON  )
OPTION( EXIV2_ENABLE_COMMERCIAL    "Build with the EXV_COMMERCIAL_VERSION symbol set"      OFF )
OPTION( EXIV2_ENABLE_BUILD_SAMPLES "Build the unit tests"                                  ON  )
OPTION( EXIV2_ENABLE_BUILD_PO      "Build translations files"                              OFF )
OPTION( EXIV2_ENABLE_VIDEO         "Build video support into library"                      OFF )
OPTION( EXIV2_ENABLE_WEBREADY      "Build webready support into library"                   OFF )
OPTION( EXIV2_ENABLE_CURL          "USE Libcurl for HttpIo"                                ON  )
OPTION( EXIV2_ENABLE_SSH           "USE Libssh for SshIo"                                  ON  )

IF( MINGW OR UNIX )
    IF ( CMAKE_CXX_COMPILER STREQUAL "g++" OR CMAKE_C_COMPILER STREQUAL "gcc" )
        ADD_DEFINITIONS(-Wall
                    -Wcast-align
                    -Wpointer-arith
                    -Wformat-security
                    -Wmissing-format-attribute
                    -Woverloaded-virtual
                    -W
                   )
    ENDIF()
ENDIF( MINGW OR UNIX )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/src/ ${CMAKE_SOURCE_DIR}/include/  ${CMAKE_SOURCE_DIR}/include/exiv2/)

if( MSVC )

    # cmake_policy(SET CMP0008)

    include(CMake_msvc.txt)
    msvc_runtime_report()
    msvc_runtime_configure(${EXIV2_ENABLE_SHARED})
    msvc_runtime_report()

    ADD_DEFINITIONS(-DPSAPI_VERSION=1) # to be compatible with <= WinVista (#905)

    set(E expat-2.1.0)
    set(Z zlib-1.2.7)
    set(C curl-7.39.0)
    set(C libssh-0.5.5)

    if( NOT IS_DIRECTORY ./../${E} )
        set(OUT_OF_SOURCE 1)
    endif()

    # link dependent libraries
    FIND_PACKAGE(EXPAT QUIET)
    if ( NOT EXPAT_LIBRARY  )
        set(EXPAT_LIBRARY      ${CMAKE_SOURCE_DIR}/../${E}/$(ConfigurationName)/expat)
        set(EXPAT_INCLUDE_DIR  ${CMAKE_SOURCE_DIR}/../${E}/lib)
        include_directories( ${EXPAT_INCLUDE_DIR} msvc64\\include src\\include)
    endif()

    FIND_PACKAGE(CURL)
    if ( NOT CURL_FOUND )
        set(CURL_LIBRARY       ${CMAKE_SOURCE_DIR}/../${C}/$(ConfigurationName)/curl)
        set(CURL_INCLUDE_DIR   ${CMAKE_SOURCE_DIR}/../${C})
        include_directories( ${CURL_INCLUDE_DIR})
    endif()

    # FIND_PACKAGE(SSH)
    if ( NOT SSH_FOUND )
        set(SSH_LIBRARY       ${CMAKE_SOURCE_DIR}/../${C}/$(ConfigurationName)/ssh)
        set(SSH_INCLUDE_DIR   ${CMAKE_SOURCE_DIR}/../${C})
        include_directories( ${SSH_INCLUDE_DIR})
    endif()

    FIND_PACKAGE(ZLIB QUIET)
    if ( NOT ZLIB_FOUND )
        set(ZLIB_LIBRARY       ${CMAKE_SOURCE_DIR}/../${Z}/$(ConfigurationName)/zlib)
        set(ZLIB_INCLUDE_DIR   ${CMAKE_SOURCE_DIR}/../${Z})
    endif()
    include_directories(${ZLIB_INCLUDE_DIR})

    if ( EXIV2_ENABLE_SHARED )
        add_library(${E} SHARED IMPORTED)
        add_library(${Z} SHARED IMPORTED)
    endif()

    ##
    # Set the output directory
    # x64/Win32
    if( CMAKE_SIZEOF_VOID_P MATCHES 8 )
        SET( P_DIR x64)
    else()
        set( P_DIR Win32 )
    endif()

    # DLL/static build
    if( EXIV2_ENABLE_SHARED )
        set( T_DIR Dynamic )
    else()
        set( T_DIR Static)
    endif()

    set(B_DIR ${PROJECT_BINARY_DIR}/bin/${P_DIR}/${T_DIR})
    set(CMAKE_CURRENT_BINARY_DIR ${B_DIR})
    set(EXECUTABLE_OUTPUT_PATH   ${B_DIR})
    set(LIBRARY_OUTPUT_PATH      ${B_DIR})
endif( MSVC )

IF( EXIV2_ENABLE_XMP )
    SET( HAVE_XMP_TOOLKIT ON )
    SET( XMPLIB "do" )
ENDIF( EXIV2_ENABLE_XMP )

INCLUDE( config/CMakeChecks.txt )

SET( INSTALL_TARGET_STANDARD_ARGS
     RUNTIME DESTINATION bin
     LIBRARY DESTINATION lib
     ARCHIVE DESTINATION lib
)
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

##
# add sources from XMPSDK directory
# this needs to be done here to be visible to xmpsdk, src and sample sub directories
SET( XMPSRC ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/ExpatAdapter.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/MD5.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/ParseRDF.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/UnicodeConversions.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/WXMPIterator.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/WXMPMeta.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/WXMPUtils.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XML_Node.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPCore_Impl.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPIterator.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPMeta-GetSet.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPMeta-Parse.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPMeta-Serialize.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPMeta.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPUtils-FileInfo.cpp
            ${CMAKE_CURRENT_SOURCE_DIR}/xmpsdk/src/XMPUtils.cpp
)

# the following lines need to be added to circumvent the error in xmpsdk\src\MD5.h
IF( ${EXV_HAVE_STDINT_H} )
    ADD_DEFINITIONS( -DEXV_HAVE_STDINT_H )
ENDIF( ${EXV_HAVE_STDINT_H} )

FIND_PACKAGE(Subversion QUIET)
SET(SVN_REVISION "0")
IF(SUBVERSION_FOUND)
    IF(EXISTS "${CMAKE_SOURCE_DIR}/.svn")
        Subversion_WC_INFO(${PROJECT_SOURCE_DIR} svnExiv2)
        SET(SVN_REVISION "${svnExiv2_WC_REVISION}")
    ENDIF()
ENDIF()
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/src/svn_version.h.in
                ${CMAKE_CURRENT_SOURCE_DIR}/src/svn_version.h @ONLY)
MESSAGE(STATUS  "SVN version:  ${SVN_REVISION}")

IF( NOT MSVC )
  # Issue #722: out of source builds compiled against standard include files such as /usr/local/lib/include/exiv2
  # do not use CREATE_SYMLINK or CMAKE_CAN_SYMLINK as they don't work on CYGWIN
  EXECUTE_PROCESS( WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}           COMMAND ln -sf ${CMAKE_CURRENT_SOURCE_DIR}/src exiv2)

  IF( EXIV2_ENABLE_BUILD_SAMPLES )
    EXECUTE_PROCESS( WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/samples COMMAND ln -sf ${CMAKE_CURRENT_SOURCE_DIR}/src exiv2)
  ENDIF( EXIV2_ENABLE_BUILD_SAMPLES )

  IF( EXIV2_ENABLE_BUILD_PO )
    EXECUTE_PROCESS( WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/po      COMMAND ln -sf ${CMAKE_CURRENT_SOURCE_DIR}/src exiv2)
  ENDIF( EXIV2_ENABLE_BUILD_PO )
ENDIF()

ADD_SUBDIRECTORY( xmpsdk )
ADD_SUBDIRECTORY( src )

IF( EXIV2_ENABLE_BUILD_SAMPLES )
    ADD_SUBDIRECTORY( samples )
ENDIF( EXIV2_ENABLE_BUILD_SAMPLES )

IF( EXIV2_ENABLE_BUILD_PO )
    ADD_SUBDIRECTORY( po )
ENDIF( EXIV2_ENABLE_BUILD_PO )

##
# tests
ADD_CUSTOM_TARGET(tests  COMMAND make test   "EXIV2_BINDIR=${CMAKE_BINARY_DIR}/bin"  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test/" )
ADD_CUSTOM_TARGET(teste  COMMAND make teste  "EXIV2_BINDIR=${CMAKE_BINARY_DIR}/bin"  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test/" )
ADD_CUSTOM_TARGET(testv  COMMAND make testv  "EXIV2_BINDIR=${CMAKE_BINARY_DIR}/bin"  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test/" )
ADD_CUSTOM_TARGET(testvw COMMAND make testvw "EXIV2_BINDIR=${CMAKE_BINARY_DIR}/bin"  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test/" )
ADD_CUSTOM_TARGET(testx  COMMAND make testx  "EXIV2_BINDIR=${CMAKE_BINARY_DIR}/bin"  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test/" )

##
# http://dev.exiv2.org/boards/3/topics/1364
# effectively does a make doc on the root directory
# has to run 'make config' and './configure'
# and copy bin/taglist to <exiv2dir>/bin/taglist for use by 'make doc'
IF( MINGW OR UNIX OR APPLE)
  ADD_CUSTOM_TARGET(doc
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/doc"
    COMMAND chmod +x ./cmake_doc.sh
    COMMAND ./cmake_doc.sh "${CMAKE_BINARY_DIR}"
  )
ENDIF()

##
# support for test suite TODO: fixup for MSVC and think a bit more before deploying this
# ENABLE_TESTING()
# INCLUDE(Dart)
# ADD_TEST(tests bash -c "cd ${CMAKE_SOURCE_DIR}/test/ ; make EXIV2_BINDIR=${CMAKE_BINARY_DIR}/bin" )

# That's all Folks!
##

=== contrib/organize/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2015 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 3777 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   31-Jan-09, ahu: created
#
# Description:
#  Simple Makefile to build the organize application. Requires installed
#  exiv2 library and headers. Adapted from samples/Makefile.
#
# Restrictions:
#  Requires GNU make.
#

# ******************************************************************************
# Default make target
all: ozbin

# Include system configuration
top_srcdir = ../..
include $(top_srcdir)/config/config.mk
include boost.mk

# ******************************************************************************
# Source files

# Source files for the organize application
OZMAIN = organize.cpp
OZSRC  = helpers.cpp MD5.cpp

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS := -I$(BOOST_INC_DIR) `pkg-config exiv2 --cflags`
ifdef HAVE_STDINT
	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
endif

LDFLAGS := $(BOOST_LIBS) `pkg-config exiv2 --libs`

OZOBJ = $(OZSRC:.cpp=.o) $(OZMAIN:.cpp=.o)
OZBIN = $(OZMAIN:.cpp=)
OZEXE = $(OZMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(OZMAIN:%.cpp=$(DEPDIR)/%.d) $(OZSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
ozbin: $(OZBIN)

$(OZOBJ): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) -E $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all ozbin relink binclean install uninstall mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

$(OZBIN): $(OZOBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(OZOBJ)

relink: binclean organize

install:
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(OZEXE) $(DESTDIR)$(bindir)/$(OZEXE)

uninstall:
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(OZEXE)
	-rmdir $(DESTDIR)$(bindir)

# Remove binaries, e.g., to relink them
binclean:
	$(RM) $(OZEXE)

mostlyclean:
	$(RM) core
	$(RM) $(OZMAIN:.cpp=.ii) $(OZSRC:.cpp=.ii)
	$(RM) $(OZMAIN:%.cpp=.libs/%.d) $(OZSRC:%.cpp=.libs/%.d)
	-rmdir .libs
	$(RM) $(OZOBJ)

clean: binclean mostlyclean

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean

=== debian/changelog ===
exiv2 (0.25-4+deb10u4) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2017-11591 (Closes: #876893)
  * Fix CVE-2017-14859, CVE-2017-14862, CVE-2017-14864
  * Fix CVE-2017-17669 (Closes: #886006)
  * Fix CVE-2017-18005 (Closes: #885981)
  * Fix CVE-2018-8976 (Closes: #903813)
  * Fix CVE-2018-17581 (Closes: #910060)
  * Fix CVE-2018-19107 (Closes: #913273)
    + Also fixes CVE-2018-19108 (Closes: #913272)
  * Fix CVE-2018-19535 (Closes: #915135)
  * Fix CVE-2018-20097
  * Fix CVE-2019-13110
  * Fix CVE-2019-13112
  * Fix CVE-2019-13114
  * Fix CVE-2019-13504 (Closes: #932467)
    + Also fixes CVE-2019-14369 and CVE-2019-14370
  * Fix CVE-2019-17402 (Closes: #946341)
  * Fix CVE-2020-18771
  * Fix CVE-2021-29458 (Closes: #987277)
    + This is a more complete fix of duplicate CVE-2021-31292
  * Fix CVE-2021-32815 (Closes: #992705)
  * Fix CVE-2021-34334 (Closes: #992706)
  * Fix CVE-2021-37620
  * Fix CVE-2021-37621
  * Fix CVE-2021-37622

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 10 Jan 2023 15:33:04 +0100

exiv2 (0.25-4+deb10u3) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2022-3756: Potentital integer overflow in QuickTime component
  * Fix CVE-2017-11683: Reachable assertion, DoS through crafted input
    (Closes: #876893)
  * Fix CVE-2020-19716: Buffer overflow, DoS

 -- Dominik George <natureshadow@debian.org>  Thu, 10 Nov 2022 13:34:36 +0100

exiv2 (0.25-4+deb10u2) buster-security; urgency=medium

  * CVE-2021-31291 (Closes: #991705)
    The fix for CVE-2021-31291 also required to backport a few patches that
    fix some (harmless) CVEs alongside:
      - CVE-2019-20421 (Closes: #950183)
      - CVE-2021-3482  (Closes: #986888)
      - CVE-2021-29457 (Closes: #987277)
      - CVE-2021-29473 (Closes: #991705)
  * CVE-2021-31292 (Closes: #991706)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 06 Aug 2021 11:46:33 +0200

exiv2 (0.25-4+deb10u1) buster; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Minor adjustment to the patch for CVE-2018-10958 and CVE-2018-10999.  The
    initial patch was overly restrictive in counting PNG image chunks.
  * CVE-2018-16336: remote denial of service (heap-based buffer over-read) via
    a crafted image file.

 -- Roberto C. Sanchez <roberto@debian.org>  Tue, 23 Jun 2020 18:11:23 -0400

exiv2 (0.25-4) unstable; urgency=medium

  [ Roberto C. Sanchez ]
  * CVE-2018-10958: denial of service through memory exhaustion and
    application crash by a crafted PNG image.
  * CVE-2018-10999: a heap-based buffer over-read via a crafted PNG image.
  * CVE-2018-10998: denial of service through memory exhaustion and
    application crash by a crafted image.
  * CVE-2018-11531: a heap-based buffer overflow and application crash by a
    crafted image.
  * CVE-2018-12264: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901707)
  * CVE-2018-12265: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901706)

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 11
  * Bump to Standards-Version 4.1.4
  * Update Vcs fields
  * Migrate to automatic dbgsym packages
  * Drop parallel and autotools_dev from dh call
  * Update watch file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 28 Jun 2018 18:05:24 +0200

exiv2 (0.25-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-9239 (Closes: #863410)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 05 Jun 2017 22:42:20 +0200

exiv2 (0.25-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Fix crashes on Casio images files (upstream cherry pick) (Closes: #814051)
  * mention XMP in the description (Closes: #790784)

 -- Norbert Preining <preining@debian.org>  Tue, 17 May 2016 23:08:21 +0900

exiv2 (0.25-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix symbol files for amd64/mips64el/sparc64/sh4 (Closes: #799611).

 -- YunQiang Su <syq@debian.org>  Thu, 08 Oct 2015 14:39:02 +0800

exiv2 (0.25-2) unstable; urgency=medium

  * Update symbols files from buildds logs (0.25-1) (Closes: #794728) Thanks
    to Aaron M. Ucko.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Aug 2015 12:37:59 +0200

exiv2 (0.25-1) unstable; urgency=medium

  [ Pino Toscano ]
  * libexiv2-dev: stop again depending on pkg-config, as this is no more
    needed now (for real this time).

  [ Maximiliano Curia ]
  * New upstream release (0.25). (Closes: #789956)
  * Refresh patch: libtool_update.diff
  * Remove upstream applied patch: CVE-2014-9449.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 05 Aug 2015 13:07:18 +0200

=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: autotools-dev,
               chrpath,
               debhelper (>= 9~),
               libexpat1-dev,
               python,
               xsltproc,
               zlib1g-dev,
               pkg-kde-tools
Build-Depends-Indep: doxygen, graphviz, libjs-jquery
Standards-Version: 4.1.4
Homepage: http://www.exiv2.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/exiv2
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/exiv2.git

Package: exiv2
Architecture: any
Depends: libexiv2-14 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: EXIF/IPTC/XMP metadata manipulation tool
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 command line utility to:
 .
  * print Exif, IPTC and XMP image metadata in different formats:
    - Exif summary info, interpreted values, or the plain data for each tag
  * set, add and delete Exif, IPTC and XMP image metadata from command line
    modify commands or command scripts
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif, IPTC and XMP metadata and JPEG comments
  * extract previews from RAW images and thumbnails from the Exif metadata
  * insert and delete the thumbnail image embedded in the Exif metadata
  * print, set and delete the JPEG comment of JPEG images
  * fix the Exif ISO setting of picture taken with Canon and Nikon cameras

Package: libexiv2-14
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: exiv2
Multi-Arch: same
Description: EXIF/IPTC/XMP metadata manipulation library
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 library provides:
  * fast read and write access to the Exif, IPTC, and XMP metadata of an image
  * an easy to use and extensively documented API
  * conversions of Exif and IPTC metadata to XMP and vice versa
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * Exif Makernote support:
    - Makernote tags can be read and written just like any other metadata
    - a sophisticated write algorithm avoids corrupting the Makernote
  * a simple interface to extract previews embedded in RAW images and Exif
    thumbnails
  * set and delete methods for Exif thumbnails

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: libexiv2-14 (= ${binary:Version}), ${misc:Depends}
Suggests: libexiv2-doc
Description: EXIF/IPTC/XMP metadata manipulation library - development files
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the development files for using exiv2.

Package: libexiv2-doc
Depends: libjs-jquery, ${misc:Depends}
Section: doc
Architecture: all
Description: EXIF/IPTC/XMP metadata manipulation library - HTML documentation
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the Exiv2 HTML documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autotools_dev,pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath
@@ -14,7 +14,7 @@
 	-rm Makefile xmpsdk/src/.libs/libxmpsdk.la  # why? debuild complains of diff.
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libexiv2-dbg
+	dh_strip --dbgsym-migration='libexiv2-dbg (<= 0.25-4~~)'
 
 override_dh_install:
 	# no need for libtool .la files

## exiv2 0.25.6

=== debian/changelog ===
exiv2 (0.25.6-1) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 08 Oct 2021 10:30:51 +0800

exiv2 (0.25.4-1+security) unstable; urgency=medium

  * fix CVE-2020-18771

 -- lishengyu <lishengyu@uniontech.com>  Thu, 16 Sep 2021 02:07:31 +0800

exiv2 (0.25.3-1+deb10u2) unstable; urgency=medium

  * CVE-2021-31291 (Closes: #991705)
    The fix for CVE-2021-31291 also required to backport a few patches that
    fix some (harmless) CVEs alongside:
      - CVE-2019-20421 (Closes: #950183)
      - CVE-2021-3482  (Closes: #986888)
      - CVE-2021-29457 (Closes: #987277)
      - CVE-2021-29473 (Closes: #991705)
  * CVE-2021-31292 (Closes: #991706)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 06 Aug 2021 11:46:33 +0200

exiv2 (0.25.2-1+security) unstable; urgency=medium

  * Returns file: debian/libexiv2-14.symbols and add file: libexiv2-14.lintian-overrides

 -- lishengyu <lishengyu@uniontech.com>  Wed, 09 Jun 2021 14:00:12 +0800

exiv2 (0.25.1-1+security) unstable; urgency=medium

  * fix CVE-2017-14864 CVE-2017-14862 CVE-2017-14859 CVE-2017-18005 CVE-2021-32617

 -- lishengyu <lishengyu@uniontech.com>  Mon, 07 Jun 2021 13:37:11 +0800

exiv2 (0.25-4+deb10u1+rebuild) buster; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Minor adjustment to the patch for CVE-2018-10958 and CVE-2018-10999.  The
    initial patch was overly restrictive in counting PNG image chunks.
  * CVE-2018-16336: remote denial of service (heap-based buffer over-read) via
    a crafted image file.

 -- Roberto C. Sanchez <roberto@debian.org>  Tue, 23 Jun 2020 18:11:23 -0400

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/exiv2-$1\.tar\.gz/ \
  https://github.com/Exiv2/exiv2/tags .*/v?(\d\S*)\.tar\.gz

## exiv2 0.25.8

=== debian/changelog ===
exiv2 (0.25.8-deepin1) unstable; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2017-11591 (Closes: #876893)
  * Fix CVE-2017-14859, CVE-2017-14862, CVE-2017-14864
  * Fix CVE-2017-17669 (Closes: #886006)
  * Fix CVE-2017-18005 (Closes: #885981)
  * Fix CVE-2018-8976 (Closes: #903813)
  * Fix CVE-2018-17581 (Closes: #910060)
  * Fix CVE-2018-19107 (Closes: #913273)
    + Also fixes CVE-2018-19108 (Closes: #913272)
  * Fix CVE-2018-19535 (Closes: #915135)
  * Fix CVE-2018-20097
  * Fix CVE-2019-13110
  * Fix CVE-2019-13112
  * Fix CVE-2019-13114
  * Fix CVE-2019-13504 (Closes: #932467)
    + Also fixes CVE-2019-14369 and CVE-2019-14370
  * Fix CVE-2019-17402 (Closes: #946341)
  * Fix CVE-2020-18771
  * Fix CVE-2021-29458 (Closes: #987277)
    + This is a more complete fix of duplicate CVE-2021-31292
  * Fix CVE-2021-32815 (Closes: #992705)
  * Fix CVE-2021-34334 (Closes: #992706)
  * Fix CVE-2021-37620
  * Fix CVE-2021-37621
  * Fix CVE-2021-37622
  * Fix CVE-2022-3756: Potentital integer overflow in QuickTime component
  * Fix CVE-2017-11683: Reachable assertion, DoS through crafted input
    (Closes: #876893)
  * Fix CVE-2020-19716: Buffer overflow, DoS

 -- wangjia <wangjia@uniontech.com>  Wed, 11 Jan 2023 17:00:30 +0800

exiv2 (0.25.7-1+loong) unstable; urgency=medium

  * fix security error version

 -- Hu Feng <hufeng@uniontech.com>  Mon, 20 Dec 2021 20:11:41 +0800

exiv2 (0.25.6-1+dde) unstable; urgency=medium

  * fix compile error

 -- wangyouwan <wangyouwan@uniontech.com>  Tue, 23 Nov 2021 19:33:09 +0800

exiv2 (0.25.5-1+dde) unstable; urgency=medium

  * add loongarch support

 -- Wang Xiangyu <wangxiangyu@uniontech.com>  Tue, 02 Feb 2021 08:41:24 +0000

## exiv2 0.26

=== debian/changelog ===
exiv2 (0.26-1) experimental; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python build dependency with :native (Closes:
    #843102)

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (0.26).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update Vcs fields
  * Migrate to automatic dbgsym packages
  * Update build-deps and deps with the info from cmake
  * Drop patch: libtool_update.diff
  * Drop upstream patches
  * Follow upstream soversion bump
  * Drop .a file
  * Disable the static xmp lib
  * Update symbols files.
  * Add libssh-gcrypt-dev missing build dep
  * Fix indep build
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jul 2017 18:56:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: autotools-dev,
                chrpath,
+               cmake,
                debhelper (>= 9~),
+               libcurl4-gnutls-dev,
                libexpat1-dev,
-               python,
+               libssh-gcrypt-dev,
+               pkg-kde-tools,
+               python:native,
                xsltproc,
-               zlib1g-dev,
-               pkg-kde-tools
+               zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery
-Standards-Version: 4.1.4
+Standards-Version: 4.0.0
 Homepage: http://www.exiv2.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/exiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/exiv2.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/exiv2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/exiv2.git
 
 Package: exiv2
 Architecture: any
-Depends: libexiv2-14 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libexiv2-26 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: EXIF/IPTC/XMP metadata manipulation tool
  Exiv2 is a C++ library and a command line utility to manage image metadata.
  It provides fast and easy read and write access to the Exif, IPTC and XMP
@@ -41,7 +42,7 @@
   * print, set and delete the JPEG comment of JPEG images
   * fix the Exif ISO setting of picture taken with Canon and Nikon cameras
 
-Package: libexiv2-14
+Package: libexiv2-26
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -69,7 +70,7 @@
 Package: libexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libexiv2-14 (= ${binary:Version}), ${misc:Depends}
+Depends: libexiv2-26 (= ${binary:Version}), ${misc:Depends}
 Suggests: libexiv2-doc
 Description: EXIF/IPTC/XMP metadata manipulation library - development files
  Exiv2 is a C++ library and a command line utility to manage image metadata.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,14 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autotools_dev,pkgkde_symbolshelper
+	dh $@ --parallel --with pkgkde_symbolshelper --buildsystem cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-rpath
+	dh_auto_configure -- \
+	    -DEXIV2_ENABLE_BUILD_PO=ON \
+	    -DEXIV2_ENABLE_LIBXMP=OFF \
+	    -DEXIV2_ENABLE_VIDEO=ON \
+	    -DEXIV2_ENABLE_WEBREADY=ON
 
 override_dh_clean:
 	dh_clean
@@ -14,7 +18,7 @@
 	-rm Makefile xmpsdk/src/.libs/libxmpsdk.la  # why? debuild complains of diff.
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='libexiv2-dbg (<= 0.25-4~~)'
+	dh_strip --dbgsym-migration='libexiv2-dbg (<= 0.26-1~~)'
 
 override_dh_install:
 	# no need for libtool .la files
@@ -22,8 +26,9 @@
 	dh_install --list-missing
 	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d
 
-override_dh_auto_build-indep:
-	$(MAKE) -C doc doxygen
+override_dh_auto_build-indep: build-arch
+	cd config; $(MAKE) -f config.make config
+	dh_auto_build -- doc
 
 override_dh_installdocs:
 	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog
